Bug 975082 - [RFE] Let authconfig handle sssd source for sudoers in nsswitch.conf
Summary: [RFE] Let authconfig handle sssd source for sudoers in nsswitch.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 15:23 UTC by Martin Kosek
Modified: 2021-05-20 13:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-20 13:19:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Kosek 2013-06-17 15:23:36 UTC
Description of problem:
Please add option to authconfig which would allow user (in our case FreeIPA client installer) to configure "sss" source for "sudoers" database in /etc/nsswitch.conf.

As discussed, there should be an option instead of doing the change automatically so that SSSD will not spam sudo log when it is not configured to have sudo provider, but nsswitch.conf's sudoers is configured to use it.

Proposed options:
authconfig --enablesssdsudo --update
authconfig --disablesssdsudo --update

Version-Release number of selected component (if applicable):
authconfig-6.2.6-3.fc19.x86_64

How reproducible:

Steps to Reproduce:
1. When ipa-client-install installs, it calls "authconfig --enablesssdsudo --update"
2.
3.

Actual results:
N/A

Expected results:
authconfig adds sss source to sudoers database in /etc/nsswitch.conf

Additional info:

Comment 1 James Le Cuirot 2014-12-10 18:01:03 UTC
This problem is particularly annoying when working with Chef. It doesn't handle partial file updates very well.

Comment 2 Fedora End Of Life 2015-01-09 18:27:31 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora Admin user for bugzilla script actions 2020-05-27 14:55:00 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 4 Pavel Březina 2021-05-20 13:19:37 UTC
Authconfig has been replaced by authselect and it is no longer present in Fedora since Fedora 28.


Note You need to log in before you can comment on or make changes to this bug.